#!/bin/sh

#HOST=127.0.0.1
LOCAL_HOST=$1
REMOTE_HOST=$2

#
# Start receiver, remember its pid
#
ttcp -r $REMOTE_HOST &
RECEIVER=$!

trap "kill $RECEIVER; exit -1" SIGINT SIGHUP SIGTERM

#
# Give receiver some time to start up
#
sleep 5

#
#Start sender
#
ttcp -t -n65536 $LOCAL_HOST
RET_VAL=$?
kill $RECEIVER >> /dev/null 2>&1

trap "" SIGINT SIGHUP SIGTERM

exit $RET_VAL
